## qtpianobar 1.0-1

=== debian/changelog ===
qtpianobar (1.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Anthony Peacck <peacock73@gmail.com>  Wed, 27 Jan 2010 22:21:16 +0000
