=== debian/control ===
Source: qtpianobar
Section: user/multimedia
Priority: extra
Maintainer: Anthony Peacock <peacock73@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-maemo5-core, libqt4-maemo5-gui, libqt4-maemo5-dev, libqt4-maemo5-maemo5
Standards-Version: 3.7.2

Package: qtpianobar
Architecture: armel
Depends:  libqt4-maemo5-core (>= 4.6.1~git20100122-0maemo1), libqt4-maemo5-gui (>= 4.6.1~git20100122-0maemo1), pianobar (>= 1.1-1)
Description: Qt GUI frontend for qtpianobar command line Pandora client
 Qt GUI frontend for qtpianobar command line Pandora client
