## qtpianobar 1.0-5

=== debian/changelog ===
qtpianobar (1.0-5) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>
  * 1.0-5: Added album art
  * 1.0-5: Added next song dialog
  * 1.0-5: Added Username/Password menu option

 -- Anthony Peacock <peacock73@gmail.com>  Tue, 02 Feb 2010 22:21:16 +0000
