=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
-# Makefile for building: qtPianobar
-# Generated by qmake (2.01a) (Qt 4.6.1) on: Tue Jan 26 01:42:01 2010
+# Makefile for building: /targets/FREMANTLE_ARMEL/opt/qtPianobar
+# Generated by qmake (2.01a) (Qt 4.6.1) on: Wed Feb 3 05:17:28 2010
 # Project:  src.pro
 # Template: app
 # Command: /usr/local/bin/qmake -unix -o Makefile src.pro
@@ -16,7 +16,7 @@
 INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I. -I.
 LINK          = g++
 LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qt4-maemo5/lib
-LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lQtGui -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtCore -lpthread 
+LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lQtWebKit -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lsqlite3 -lphonon -lQtXmlPatterns -lQtNetwork -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = /usr/local/bin/qmake
@@ -70,8 +70,8 @@
 		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
 		src.pro
 QMAKE_TARGET  = qtPianobar
-DESTDIR       = 
-TARGET        = qtPianobar
+DESTDIR       = /targets/FREMANTLE_ARMEL/opt/
+TARGET        = /targets/FREMANTLE_ARMEL/opt/qtPianobar
 
 first: all
 ####### Implicit rules
@@ -98,6 +98,7 @@
 all: Makefile $(TARGET)
 
 $(TARGET): ui_mainwindow.h $(OBJECTS)  
+	@$(CHK_DIR_EXISTS) /targets/FREMANTLE_ARMEL/opt/ || $(MKDIR) /targets/FREMANTLE_ARMEL/opt/ 
 	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
 
 Makefile: src.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
@@ -118,8 +119,14 @@
 		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
 		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
 		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
+		/opt/qt4-maemo5/lib/libQtWebKit.prl \
+		/opt/qt4-maemo5/lib/libphonon.prl \
+		/opt/qt4-maemo5/lib/libQtDBus.prl \
+		/opt/qt4-maemo5/lib/libQtXml.prl \
+		/opt/qt4-maemo5/lib/libQtCore.prl \
 		/opt/qt4-maemo5/lib/libQtGui.prl \
-		/opt/qt4-maemo5/lib/libQtCore.prl
+		/opt/qt4-maemo5/lib/libQtXmlPatterns.prl \
+		/opt/qt4-maemo5/lib/libQtNetwork.prl
 	$(QMAKE) -unix -o Makefile src.pro
 /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
 /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
@@ -139,8 +146,14 @@
 /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
 /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
 /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
+/opt/qt4-maemo5/lib/libQtWebKit.prl:
+/opt/qt4-maemo5/lib/libphonon.prl:
+/opt/qt4-maemo5/lib/libQtDBus.prl:
+/opt/qt4-maemo5/lib/libQtXml.prl:
+/opt/qt4-maemo5/lib/libQtCore.prl:
 /opt/qt4-maemo5/lib/libQtGui.prl:
-/opt/qt4-maemo5/lib/libQtCore.prl:
+/opt/qt4-maemo5/lib/libQtXmlPatterns.prl:
+/opt/qt4-maemo5/lib/libQtNetwork.prl:
 qmake:  FORCE
 	@$(QMAKE) -unix -o Makefile src.pro
 
@@ -176,6 +189,7 @@
 	-$(DEL_FILE) qrc_images.cpp
 qrc_images.cpp: images.qrc \
 		images/paused.png \
+		images/no-cover-art.png \
 		images/minus.png \
 		images/playing.png \
 		images/stopped.png \
@@ -225,7 +239,7 @@
 
 install_target: first FORCE
 	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/bin/ || $(MKDIR) $(INSTALL_ROOT)/opt/bin/ 
-	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/opt/bin/$(QMAKE_TARGET)"
+	-$(INSTALL_PROGRAM) "/targets/FREMANTLE_ARMEL/opt/$(QMAKE_TARGET)" "$(INSTALL_ROOT)/opt/bin/$(QMAKE_TARGET)"
 	-$(STRIP) "$(INSTALL_ROOT)/opt/bin/$(QMAKE_TARGET)"
 
 uninstall_target:  FORCE
@@ -234,24 +248,24 @@
 
 
 install_desktop: first FORCE
-	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/opt/share/applications/hildon/ 
-	-$(INSTALL_FILE) /home/maemo/qtpianobar-1.0/src/qtPianobar.desktop $(INSTALL_ROOT)/opt/share/applications/hildon/
+	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 
+	-$(INSTALL_FILE) /home/maemo/workspace/qtpianobar-1.2/src/qtPianobar.desktop $(INSTALL_ROOT)/usr/share/applications/hildon/
 
 
 uninstall_desktop:  FORCE
-	-$(DEL_FILE) -r $(INSTALL_ROOT)/opt/share/applications/hildon/qtPianobar.desktop
-	-$(DEL_DIR) $(INSTALL_ROOT)/opt/share/applications/hildon/ 
+	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/applications/hildon/qtPianobar.desktop
+	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 
 
 
 install_icon48: first FORCE
-	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/share/icons/hicolor/48x48/apps/ || $(MKDIR) $(INSTALL_ROOT)/opt/share/icons/hicolor/48x48/apps/ 
-	-$(INSTALL_PROGRAM) /home/maemo/qtpianobar-1.0/data/48x48/qtPianobar.png $(INSTALL_ROOT)/opt/share/icons/hicolor/48x48/apps/
-	-strip $(INSTALL_ROOT)/opt/share/icons/hicolor/48x48/apps/qtPianobar.png
+	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/ 
+	-$(INSTALL_PROGRAM) /home/maemo/workspace/qtpianobar-1.2/data/48x48/qtPianobar.png $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/
+	-strip $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/qtPianobar.png
 
 
 uninstall_icon48:  FORCE
-	-$(DEL_FILE) -r $(INSTALL_ROOT)/opt/share/icons/hicolor/48x48/apps/qtPianobar.png
-	-$(DEL_DIR) $(INSTALL_ROOT)/opt/share/icons/hicolor/48x48/apps/ 
+	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/qtPianobar.png
+	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/ 
 
 
 install:  install_target install_desktop install_icon48  FORCE
