=== debian/control ===
Source: qtpianobar
Section: user/multimedia
Priority: extra
Maintainer: Anthony Peacock <peacock73@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-maemo5-core, libqt4-maemo5-gui, libqt4-maemo5-dev, libqt4-maemo5-webkit, libqt4-maemo5-xmlpatterns, libgconf2-dev
Standards-Version: 3.7.2

Package: qtpianobar
Architecture: armel
Depends:  libqt4-maemo5-core (>= 4.6.1~git20100122-0maemo1), libqt4-maemo5-gui (>= 4.6.1~git20100122-0maemo1), libqt4-maemo5-dbus (>= 4.6.2~git20100128-0maemo1), libqt4-maemo5-network (>= 4.6.2~git20100128-0maemo1), libqt4-maemo5-webkit (>= 4.6.2~git20100128-0maemo1), libqt4-maemo5-xmlpatterns (>= 4.6.2~git20100128-0maemo1)
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>
